Package com.collibra.dgc.core.api.model.meta.type

# Interface DerivedRelationType

All Superinterfaces:
  `Entity`, `Resource`, `Serializable`

public interface DerivedRelationType extends Resource
A Derived Relation Type is a Relation Type for which the Relations are not persisted, but calculated, based on a Path Graph. A Path Graph is a directed graph where an edge represents a directed Relation Type, and a node represents a set of Asset Types. The Path Graph is used to calculate the Relations between Assets. For 2 Assets A and B, a derived Relation exists between them if there is at least one linear subpath in the Path Graph so that there exists a list of Assets connected by Relations specified by the edges, where the first Asset is A and the last Asset is B.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCoRole()`
  Returns the co-role for this Derived Relation Type.
  `String`
  `getDescription()`
  Returns the description of the Derived Relation Type.
  `List<PathIntermediateNode>`
  `getIntermediateNodes()`
  Returns the intermediate nodes for this Derived Relation Type.
  `String`
  `getPublicId()`
  Returns the public id of the Derived Relation Type.
  `String`
  `getRole()`
  Returns the role for this Derived Relation Type.
  `PathSourceNode`
  `getSourceNode()`
  Returns the source node for this Derived Relation Type.
  `MetaNamedResourceReference`
  `getSourceType()`
  Returns the source type of the Derived Relation Type.
  `PathTargetNode`
  `getTargetNode()`
  Returns the target node for this Derived Relation Type.
  `MetaNamedResourceReference`
  `getTargetType()`
  Returns the target type of the Derived Relation Type.

  ### Methods inherited from interface Entity

  `getId, setId`

  ### Methods inherited from interface Resource

  `getCreatedBy, getCreatedOn, getLastModifiedBy, getLastModifiedOn, getResourceType, isSystem`

- ## Method Details

  - ### getPublicId

    String getPublicId()
    Returns the public id of the Derived Relation Type.
    Returns:
      the public id of the Derived Relation Type

  - ### getDescription

    String getDescription()
    Returns the description of the Derived Relation Type.
    Returns:
      the description of the Derived Relation Type

  - ### getSourceType

    MetaNamedResourceReference getSourceType()
    Returns the source type of the Derived Relation Type.
    Returns:
      the source type of the Derived Relation Type

  - ### getTargetType

    MetaNamedResourceReference getTargetType()
    Returns the target type of the Derived Relation Type.
    Returns:
      the target type of the Derived Relation Type

  - ### getRole

    String getRole()
    Returns the role for this Derived Relation Type.
    Returns:
      the role for this Derived Relation Type

  - ### getCoRole

    String getCoRole()
    Returns the co-role for this Derived Relation Type.
    Returns:
      the co-role for this Derived Relation Type

  - ### getSourceNode

    PathSourceNode getSourceNode()
    Returns the source node for this Derived Relation Type.
    Returns:
      the source node for this Derived Relation Type

  - ### getIntermediateNodes

    List<PathIntermediateNode> getIntermediateNodes()
    Returns the intermediate nodes for this Derived Relation Type.
    Returns:
      the intermediate nodes for this Derived Relation Type

  - ### getTargetNode

    PathTargetNode getTargetNode()
    Returns the target node for this Derived Relation Type.
    Returns:
      the target node for this Derived Relation Type